Subject: Re: [MIB-DOCTORS] Registration procedures for SMI SNMPv2 snmpModules Codes

From: Benoit Claise <[email-masked]>
Date: Thu, 1 Oct 2015 09:56:24 +0200

Dear all,

Let's go back to Michelle's questions:

    We are trying to figure out the registration procedures for the
    following registry:
    SMI SNMPv2 snmpModules Codes
    iso.org.dod.internet.snmpv2.snmpModules (1.3.6.1.6.3)
    Found at:http://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml

    It currently says “Not Defined”.

    If a request was being made in a Proposed Standard would that be
    sufficient?

As Dave Thaler convinced us/me, I believe the procedure could be: “IETF 
Review” as defined in RFC 5226.
So to answer the second question "If a request was being made in a 
Proposed Standard would that be sufficient?", the answer would be yes.

Now, to the implicit question: should we use 
iso.org.dod.internet.snmpv2.snmpModules or mib-2 for registration, let 
me ask a question to Michelle. Is there an actual registration request 
or are you trying to complete your IANA database?
If the former, which MIB module?
If the latter, is there a way to tell “do not use; use mib-2” ... 
assuming that this is the consensus of this group.

Regards, Benoit
> On Wed, Sep 30, 2015 at 05:06:03PM -0700, joel jaeggli wrote:
>> On 9/30/15 1:20 PM, Dave Thaler wrote:
>>> In my opinion, since the allocation policy was never explicitly defined
>>> that I know of,
>>>
>>> I think it would probably default to “IETF Review” as defined in RFC 5226.
>>>
>>> Certainly a standards track RFC meets that criteria, but I wouldn’t hold
>>> it to “Standards Action” but rather “IETF Review” (which also allows for other
>>> types of
>> yeah don't unless you think standards track rfc's are the vehcicle
>> though which these resources should be registered. imho that's a a
>> needlessly high bar, that makes things like experimentation that much
>> harder.
>>
> We may be moving from the concrete to the abstract. We discussed
> before that snmpModules was once used for SNMP core modules but ISMS
> already moved away from using this branch and instead registered SNMP
> core modules below mib-2. I very much doubt we need this specific
> branch for experimentation or something like that.
>
> /js
>

---

From: David Harrington <[email-masked]>
Date: Thu, 1 Oct 2015 07:35:57 -0400

I also doubt we actually need this branch for future work. go with do not use. 

David Harrington
[email-masked]
603-828-1401

> On Oct 1, 2015, at 2:28 AM, Juergen Schoenwaelder <[email-masked]> wrote:
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors